Categories
Noticias

WordPress 5.6.1 presenta error en Windows Post y Page

WordPress 5.6.1, que muchos sitios actualizados automáticamente han introducido un error que dificulta guardar una publicación. Se ha creado un parche temporal para abordar el problema, pero no es una actualización oficial para resolver el problema.

Los cambios que realizó pueden no ser guardados

un error introducido en la última versión de WordPress, Versión 5.6.1 Causa una alerta para aparentar al intentar navegar, independientemente de si la publicación se ha guardado o no.

Se informó el error en una página de soporte de WordPress:

“¡Estoy recibiendo el sitio de licencia”? Los cambios que hicieron pueden no ser guardados. Todo el tiempo, si cambio una página o no, y si guardo (publicar o actualizar) la página o no.

Esto comenzó después de la actualización 5.6.1 esta mañana. Tengo 2 sitios, con 2 temas diferentes,Tanto con el editor clásico 1.6 y se comporta lo mismo en ambos.

¿Lo hace en Chrome, no lo hace en Firefox “

AnuncioContinue leyendo a continuación el hecho de que No sucede en Firefox, es interesante porque, según

Documentación de Mozilla

, Firefox maneja ciertos aspectos del evento de descarga de manera diferente a Chrome en que Chrome carece de ciertas características. Esto no es un Problema de cromo sin embargo.

Simplemente estoy señalando por qué un error puede aparecer en Chrome pero no en Firefox.

¿Descargar el error de eventos en la ventana de edición de WordPress?

El aviso es parte de Lo que se llama un “evento de descarga” que desencadena una advertencia cuando un editor trata de navegar lejos de una ventana, generalmente cuando se deja algo deshecho.

exactamenteEl mensaje de advertencia activado es:

“Salida del sitio? Los cambios que realizó pueden no ser guardados “.

El error se manifiesta en ambos postes y páginas. Pero algunos editores han informado que el error solo está presente cuando edita el contenido de la página y funciona bien al editar el contenido de la publicación. AdvertisementContinue leyendo a continuación Según varios informes, el error podría ser activado al editar complementos relacionados como Tiny MCE y Avanzado Campos Personalizados. Apagar esos complementos detenga el mensaje de descarga del desove.

Se informó un editor en el grupo de Facebook de WordPress avanzado

Privado

que apaga el complemento avanzado de campos personalizados detuvo la advertencia del desove. Pero el problema no está con los propios complementos. El problema parece estar dentro delEl propio núcleo de WordPress, lo que está causando que el problema se manifieste en las diferentes ventanas relacionadas con la edición.

Un editor reportó el alivio

activando el entorno de edición de Gutenberg:

GIF Animation of WordPress 5.6.1 editing window bug

GIF Animation of WordPress 5.6.1 editing window bug

“¿Quieres abandonar este sitio? Los cambios que realizó puede no ser guardado “Aviso de alerta para dejar las páginas actualizadas (pero no las publicaciones) después de 5.6.1 Actualización al utilizar el editor clásico. … se desaparece cuando Gutenberg se vuelve hacia atrás “.

Otro editor anotado

que los complementos relacionados con edición de WordPress parecían activar el error:

“Actualización: parece que el usuario tiene que esperar a que TinyMCE se cargue completamente antes de hacer un cambio, de lo contrario, el script no tiene su cambio en cuenta.

El editor Siguiente presiona el botón de actualización para guardar la página. A continuación, haga clic en un enlace para navegar lejos de la ventana de edición.

Pero esa Ley causa el mensaje de advertencia de descarga para engendrar. AnunciCementContinue Lectura a continuación
A continuación se muestra un GIF animado de la película que se estaba cargando mostrando el tutorial del error:

Animación de captura de pantalla de WordPress 5.6.1 EDICIÓN DE VENTANA DE EDICIÓN

Se ha publicado una solución temporal Se ha publicado un parche en WordPress, pero no es una solución oficial. AnunciSementContinue Lectura a continuación Esta versión del parche es completamente funcional. Es un código que debe insertarse en el archivo functions.php. Hay Otro parche que se compartió que aborda un problema adicional, pero no se ha probado completamente. WordPress 5.6.1 “Cambios no guardados” Bug Si el problema está obstaculizando su flujo de trabajo, hay pasos que se pueden tomar. Un paso recomendado podría ser esperar para asegurarse de que todos los complementos relacionados con la edición estén completamente cargados. Otras acciones incluyen deshabilitar los complementos relacionados con la edición o girar en Gutenberg. Hay un parche que se puede aplicar a las funciones.PHP y, por último, se puede esperar a un parche oficial. Película que muestra cómo WordPress 5.6.1 El error se dispara [1 https://cdn.searchenginejournal.com/wp-content/uploads/2021/02/wordpress-561-bug-60246d2a9f858.mp4 Discusión de la página de soporte de WordPress Los cambios que realizó pueden no ser guardados advertisementcontinue Reading a continuación Página oficial de informe de errores de WordPress ” Dejar sitio? Los cambios que realizó no se pueden guardar “en páginas de taxonomía personalizada después de la actualización de WP 5.6.1

Leave a Reply

Your email address will not be published. Required fields are marked *